Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pullreq

List pull requests in account/org/project

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

source_repo_refstringOptional

Source repository ref of the pull requests.

source_branchstringOptional

Source branch of the pull requests.

target_branchstringOptional

Target branch of the pull requests.

querystringOptional

The substring by which the pull requests are filtered.

created_byinteger[]Optional

List of principal IDs who created pull requests.

created_ltintegerOptional

The result should contain only entries created before this timestamp (unix millis).

created_gtintegerOptional

The result should contain only entries created after this timestamp (unix millis).

updated_ltintegerOptional

The result should contain only entries updated before this timestamp (unix millis).

exclude_descriptionbooleanOptional

By providing this parameter the description would be excluded from the response.

Default: false
include_subspacesbooleanOptional

The result should contain entries from the desired space and of its subspaces.

Default: false
limitinteger · min: 1 · max: 100Optional

The maximum number of results to return.

Default: 30
label_idinteger[]Optional

List of label ids used to filter pull requests.

value_idinteger[]Optional

List of label value ids used to filter pull requests.

author_idintegerOptional

Return only pull requests where this user is the author.

commenter_idintegerOptional

Return only pull requests where this user has created at least one comment.

mentioned_idintegerOptional

Return only pull requests where this user has been mentioned.

reviewer_idintegerOptional

Return only pull requests where this user has been added as a reviewer.

include_git_statsbooleanOptional

If true, the git diff stats would be included in the response.

Default: false
include_checksbooleanOptional

If true, the summary of check for the branch commit SHA would be included in the response.

Default: false
include_rulesbooleanOptional

If true, a list of rules that apply to this branch would be included in the response.

Default: false
Responses
200

OK

application/json
get/pullreq
GET /code/api/v1/pullreq?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "pull_request": {
      "author": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      },
      "check_summary": {
        "error": 1,
        "failure": 1,
        "failure_ignored": 1,
        "pending": 1,
        "running": 1,
        "success": 1
      },
      "closed": 1,
      "created": 1,
      "description": "text",
      "edited": 1,
      "is_draft": true,
      "labels": [
        {
          "color": "blue",
          "id": 1,
          "key": "text",
          "scope": 1,
          "value": "text",
          "value_color": "blue",
          "value_count": 1,
          "value_id": 1
        }
      ],
      "merge_base_sha": "text",
      "merge_check_status": "text",
      "merge_conflicts": [
        "text"
      ],
      "merge_method": "fast-forward",
      "merge_target_sha": "text",
      "merge_violations_bypassed": true,
      "merged": 1,
      "merger": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      },
      "number": 1,
      "pullreq_type": "text",
      "rebase_check_status": "text",
      "rebase_conflicts": [
        "text"
      ],
      "root_space_id": 1,
      "root_space_identifier": "text",
      "rules": [
        {
          "identifier": "text",
          "repo_path": "text",
          "space_path": "text",
          "state": "active",
          "type": "branch"
        }
      ],
      "source_branch": "text",
      "source_repo": {
        "default_branch": "text",
        "fork_id": 1,
        "id": 1,
        "identifier": "text",
        "parent_id": 1,
        "path": "text",
        "type": "text"
      },
      "source_repo_id": 1,
      "source_sha": "text",
      "state": "closed",
      "stats": {
        "additions": 1,
        "commits": 1,
        "conversations": 1,
        "deletions": 1,
        "files_changed": 1,
        "unresolved_count": 1
      },
      "substate": "",
      "target_branch": "text",
      "target_repo_id": 1,
      "title": "text",
      "updated": 1
    },
    "repository": {
      "default_branch": "text",
      "fork_id": 1,
      "id": 1,
      "identifier": "text",
      "parent_id": 1,
      "path": "text",
      "type": "text"
    }
  }
]

Count pull requests in account/org/project

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

source_repo_refstringOptional

Source repository ref of the pull requests.

source_branchstringOptional

Source branch of the pull requests.

target_branchstringOptional

Target branch of the pull requests.

querystringOptional

The substring by which the pull requests are filtered.

created_byinteger[]Optional

List of principal IDs who created pull requests.

created_ltintegerOptional

The result should contain only entries created before this timestamp (unix millis).

created_gtintegerOptional

The result should contain only entries created after this timestamp (unix millis).

updated_ltintegerOptional

The result should contain only entries updated before this timestamp (unix millis).

include_subspacesbooleanOptional

The result should contain entries from the desired space and of its subspaces.

Default: false
label_idinteger[]Optional

List of label ids used to filter pull requests.

value_idinteger[]Optional

List of label value ids used to filter pull requests.

author_idintegerOptional

Return only pull requests where this user is the author.

commenter_idintegerOptional

Return only pull requests where this user has created at least one comment.

mentioned_idintegerOptional

Return only pull requests where this user has been mentioned.

reviewer_idintegerOptional

Return only pull requests where this user has been added as a reviewer.

include_rulesbooleanOptional

If true, a list of rules that apply to this branch would be included in the response.

Default: false
Responses
200

OK

application/json
integerOptional
get/pullreq/count
GET /code/api/v1/pullreq/count?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
1

List pull requests

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

source_repo_refstringOptional

Source repository ref of the pull requests.

source_branchstringOptional

Source branch of the pull requests.

target_branchstringOptional

Target branch of the pull requests.

querystringOptional

The substring by which the pull requests are filtered.

created_byinteger[]Optional

List of principal IDs who created pull requests.

orderstring · enumOptional

The order of the output.

Default: ascPossible values:
sortstring · enumOptional

The data by which the pull requests are sorted.

Default: numberPossible values:
created_ltintegerOptional

The result should contain only entries created before this timestamp (unix millis).

created_gtintegerOptional

The result should contain only entries created after this timestamp (unix millis).

updated_ltintegerOptional

The result should contain only entries updated before this timestamp (unix millis).

updated_gtintegerOptional

The result should contain only entries updated after this timestamp (unix millis).

exclude_descriptionbooleanOptional

By providing this parameter the description would be excluded from the response.

Default: false
pageinteger · min: 1Optional

The page to return.

Default: 1
limitinteger · min: 1 · max: 100Optional

The maximum number of results to return.

Default: 30
label_idinteger[]Optional

List of label ids used to filter pull requests.

value_idinteger[]Optional

List of label value ids used to filter pull requests.

author_idintegerOptional

Return only pull requests where this user is the author.

commenter_idintegerOptional

Return only pull requests where this user has created at least one comment.

mentioned_idintegerOptional

Return only pull requests where this user has been mentioned.

reviewer_idintegerOptional

Return only pull requests where this user has been added as a reviewer.

include_git_statsbooleanOptional

If true, the git diff stats would be included in the response.

Default: false
include_checksbooleanOptional

If true, the summary of check for the branch commit SHA would be included in the response.

Default: false
include_rulesbooleanOptional

If true, a list of rules that apply to this branch would be included in the response.

Default: false
Responses
200

OK

application/json
closedinteger · nullableOptional
createdintegerOptional
descriptionstringOptional
editedintegerOptional
is_draftbooleanOptional
merge_base_shastringOptional
merge_check_statusstringOptional
merge_conflictsstring[]Optional
merge_methodstring · enumOptionalPossible values:
merge_target_shastring · nullableOptional
merge_violations_bypassedboolean · nullableOptional
mergedinteger · nullableOptional
numberintegerOptional
pullreq_typestring · nullableOptional
rebase_check_statusstringOptional
rebase_conflictsstring[]Optional
root_space_idintegerOptional
root_space_identifierstringOptional
source_branchstringOptional
source_repo_idinteger · nullableOptional
source_shastringOptional
statestring · enumOptionalPossible values:
substatestring · enumOptionalPossible values:
target_branchstringOptional
target_repo_idintegerOptional
titlestringOptional
updatedintegerOptional
get/repos/{repo_identifier}/pullreq
GET /code/api/v1/repos/{repo_identifier}/pullreq?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "author": {
      "created": 1,
      "display_name": "text",
      "email": "text",
      "id": 1,
      "type": "service",
      "uid": "text",
      "updated": 1
    },
    "check_summary": {
      "error": 1,
      "failure": 1,
      "failure_ignored": 1,
      "pending": 1,
      "running": 1,
      "success": 1
    },
    "closed": 1,
    "created": 1,
    "description": "text",
    "edited": 1,
    "is_draft": true,
    "labels": [
      {
        "color": "blue",
        "id": 1,
        "key": "text",
        "scope": 1,
        "value": "text",
        "value_color": "blue",
        "value_count": 1,
        "value_id": 1
      }
    ],
    "merge_base_sha": "text",
    "merge_check_status": "text",
    "merge_conflicts": [
      "text"
    ],
    "merge_method": "fast-forward",
    "merge_target_sha": "text",
    "merge_violations_bypassed": true,
    "merged": 1,
    "merger": {
      "created": 1,
      "display_name": "text",
      "email": "text",
      "id": 1,
      "type": "service",
      "uid": "text",
      "updated": 1
    },
    "number": 1,
    "pullreq_type": "text",
    "rebase_check_status": "text",
    "rebase_conflicts": [
      "text"
    ],
    "root_space_id": 1,
    "root_space_identifier": "text",
    "rules": [
      {
        "identifier": "text",
        "repo_path": "text",
        "space_path": "text",
        "state": "active",
        "type": "branch"
      }
    ],
    "source_branch": "text",
    "source_repo": {
      "default_branch": "text",
      "fork_id": 1,
      "id": 1,
      "identifier": "text",
      "parent_id": 1,
      "path": "text",
      "type": "text"
    },
    "source_repo_id": 1,
    "source_sha": "text",
    "state": "closed",
    "stats": {
      "additions": 1,
      "commits": 1,
      "conversations": 1,
      "deletions": 1,
      "files_changed": 1,
      "unresolved_count": 1
    },
    "substate": "",
    "target_branch": "text",
    "target_repo_id": 1,
    "title": "text",
    "updated": 1
  }
]

Create pull request

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
bypass_rulesbooleanOptional
descriptionstringOptional
is_draftbooleanOptional
reviewer_idsinteger[] · nullableOptional
source_branchstringOptional
source_repo_refstringOptional
target_branchstringOptional
titlestringOptional
user_group_reviewer_idsinteger[] · nullableOptional
Responses
201

Created

application/json
closedinteger · nullableOptional
createdintegerOptional
descriptionstringOptional
editedintegerOptional
is_draftbooleanOptional
merge_base_shastringOptional
merge_check_statusstringOptional
merge_conflictsstring[]Optional
merge_methodstring · enumOptionalPossible values:
merge_target_shastring · nullableOptional
merge_violations_bypassedboolean · nullableOptional
mergedinteger · nullableOptional
numberintegerOptional
pullreq_typestring · nullableOptional
rebase_check_statusstringOptional
rebase_conflictsstring[]Optional
root_space_idintegerOptional
root_space_identifierstringOptional
source_branchstringOptional
source_repo_idinteger · nullableOptional
source_shastringOptional
statestring · enumOptionalPossible values:
substatestring · enumOptionalPossible values:
target_branchstringOptional
target_repo_idintegerOptional
titlestringOptional
updatedintegerOptional
post/repos/{repo_identifier}/pullreq
POST /code/api/v1/repos/{repo_identifier}/pullreq?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 247

{
  "bypass_rules": true,
  "description": "text",
  "is_draft": true,
  "labels": [
    {
      "label_id": 1,
      "value": "text",
      "value_id": 1
    }
  ],
  "reviewer_ids": [
    1
  ],
  "source_branch": "text",
  "source_repo_ref": "text",
  "target_branch": "text",
  "title": "text",
  "user_group_reviewer_ids": [
    1
  ]
}
{
  "author": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "check_summary": {
    "error": 1,
    "failure": 1,
    "failure_ignored": 1,
    "pending": 1,
    "running": 1,
    "success": 1
  },
  "closed": 1,
  "created": 1,
  "description": "text",
  "edited": 1,
  "is_draft": true,
  "labels": [
    {
      "color": "blue",
      "id": 1,
      "key": "text",
      "scope": 1,
      "value": "text",
      "value_color": "blue",
      "value_count": 1,
      "value_id": 1
    }
  ],
  "merge_base_sha": "text",
  "merge_check_status": "text",
  "merge_conflicts": [
    "text"
  ],
  "merge_method": "fast-forward",
  "merge_target_sha": "text",
  "merge_violations_bypassed": true,
  "merged": 1,
  "merger": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "number": 1,
  "pullreq_type": "text",
  "rebase_check_status": "text",
  "rebase_conflicts": [
    "text"
  ],
  "root_space_id": 1,
  "root_space_identifier": "text",
  "rules": [
    {
      "identifier": "text",
      "repo_path": "text",
      "space_path": "text",
      "state": "active",
      "type": "branch"
    }
  ],
  "source_branch": "text",
  "source_repo": {
    "default_branch": "text",
    "fork_id": 1,
    "id": 1,
    "identifier": "text",
    "parent_id": 1,
    "path": "text",
    "type": "text"
  },
  "source_repo_id": 1,
  "source_sha": "text",
  "state": "closed",
  "stats": {
    "additions": 1,
    "commits": 1,
    "conversations": 1,
    "deletions": 1,
    "files_changed": 1,
    "unresolved_count": 1
  },
  "substate": "",
  "target_branch": "text",
  "target_repo_id": 1,
  "title": "text",
  "updated": 1
}

Get pull request

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
closedinteger · nullableOptional
createdintegerOptional
descriptionstringOptional
editedintegerOptional
is_draftbooleanOptional
merge_base_shastringOptional
merge_check_statusstringOptional
merge_conflictsstring[]Optional
merge_methodstring · enumOptionalPossible values:
merge_target_shastring · nullableOptional
merge_violations_bypassedboolean · nullableOptional
mergedinteger · nullableOptional
numberintegerOptional
pullreq_typestring · nullableOptional
rebase_check_statusstringOptional
rebase_conflictsstring[]Optional
root_space_idintegerOptional
root_space_identifierstringOptional
source_branchstringOptional
source_repo_idinteger · nullableOptional
source_shastringOptional
statestring · enumOptionalPossible values:
substatestring · enumOptionalPossible values:
target_branchstringOptional
target_repo_idintegerOptional
titlestringOptional
updatedintegerOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "author": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "check_summary": {
    "error": 1,
    "failure": 1,
    "failure_ignored": 1,
    "pending": 1,
    "running": 1,
    "success": 1
  },
  "closed": 1,
  "created": 1,
  "description": "text",
  "edited": 1,
  "is_draft": true,
  "labels": [
    {
      "color": "blue",
      "id": 1,
      "key": "text",
      "scope": 1,
      "value": "text",
      "value_color": "blue",
      "value_count": 1,
      "value_id": 1
    }
  ],
  "merge_base_sha": "text",
  "merge_check_status": "text",
  "merge_conflicts": [
    "text"
  ],
  "merge_method": "fast-forward",
  "merge_target_sha": "text",
  "merge_violations_bypassed": true,
  "merged": 1,
  "merger": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "number": 1,
  "pullreq_type": "text",
  "rebase_check_status": "text",
  "rebase_conflicts": [
    "text"
  ],
  "root_space_id": 1,
  "root_space_identifier": "text",
  "rules": [
    {
      "identifier": "text",
      "repo_path": "text",
      "space_path": "text",
      "state": "active",
      "type": "branch"
    }
  ],
  "source_branch": "text",
  "source_repo": {
    "default_branch": "text",
    "fork_id": 1,
    "id": 1,
    "identifier": "text",
    "parent_id": 1,
    "path": "text",
    "type": "text"
  },
  "source_repo_id": 1,
  "source_sha": "text",
  "state": "closed",
  "stats": {
    "additions": 1,
    "commits": 1,
    "conversations": 1,
    "deletions": 1,
    "files_changed": 1,
    "unresolved_count": 1
  },
  "substate": "",
  "target_branch": "text",
  "target_repo_id": 1,
  "title": "text",
  "updated": 1
}

Update pull request

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
descriptionstringOptional
titlestringOptional
Responses
200

OK

application/json
closedinteger · nullableOptional
createdintegerOptional
descriptionstringOptional
editedintegerOptional
is_draftbooleanOptional
merge_base_shastringOptional
merge_check_statusstringOptional
merge_conflictsstring[]Optional
merge_methodstring · enumOptionalPossible values:
merge_target_shastring · nullableOptional
merge_violations_bypassedboolean · nullableOptional
mergedinteger · nullableOptional
numberintegerOptional
pullreq_typestring · nullableOptional
rebase_check_statusstringOptional
rebase_conflictsstring[]Optional
root_space_idintegerOptional
root_space_identifierstringOptional
source_branchstringOptional
source_repo_idinteger · nullableOptional
source_shastringOptional
statestring · enumOptionalPossible values:
substatestring · enumOptionalPossible values:
target_branchstringOptional
target_repo_idintegerOptional
titlestringOptional
updatedintegerOptional
patch/repos/{repo_identifier}/pullreq/{pullreq_number}
PATCH /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 37

{
  "description": "text",
  "title": "text"
}
{
  "author": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "check_summary": {
    "error": 1,
    "failure": 1,
    "failure_ignored": 1,
    "pending": 1,
    "running": 1,
    "success": 1
  },
  "closed": 1,
  "created": 1,
  "description": "text",
  "edited": 1,
  "is_draft": true,
  "labels": [
    {
      "color": "blue",
      "id": 1,
      "key": "text",
      "scope": 1,
      "value": "text",
      "value_color": "blue",
      "value_count": 1,
      "value_id": 1
    }
  ],
  "merge_base_sha": "text",
  "merge_check_status": "text",
  "merge_conflicts": [
    "text"
  ],
  "merge_method": "fast-forward",
  "merge_target_sha": "text",
  "merge_violations_bypassed": true,
  "merged": 1,
  "merger": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "number": 1,
  "pullreq_type": "text",
  "rebase_check_status": "text",
  "rebase_conflicts": [
    "text"
  ],
  "root_space_id": 1,
  "root_space_identifier": "text",
  "rules": [
    {
      "identifier": "text",
      "repo_path": "text",
      "space_path": "text",
      "state": "active",
      "type": "branch"
    }
  ],
  "source_branch": "text",
  "source_repo": {
    "default_branch": "text",
    "fork_id": 1,
    "id": 1,
    "identifier": "text",
    "parent_id": 1,
    "path": "text",
    "type": "text"
  },
  "source_repo_id": 1,
  "source_sha": "text",
  "state": "closed",
  "stats": {
    "additions": 1,
    "commits": 1,
    "conversations": 1,
    "deletions": 1,
    "files_changed": 1,
    "unresolved_count": 1
  },
  "substate": "",
  "target_branch": "text",
  "target_repo_id": 1,
  "title": "text",
  "updated": 1
}

List activities

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

afterintegerOptional

The result should contain only entries created at and after this timestamp (unix millis).

beforeintegerOptional

The result should contain only entries created before this timestamp (unix millis).

limitinteger · min: 1 · max: 100Optional

The maximum number of results to return.

Default: 30
Responses
200

OK

application/json
createdintegerOptional
deletedinteger · nullableOptional
editedintegerOptional
idintegerOptional
kindstring · enumOptionalPossible values:
orderintegerOptional
parent_idinteger · nullableOptional
payloadanyOptional
pullreq_idintegerOptional
repo_idintegerOptional
resolvedinteger · nullableOptional
sub_orderintegerOptional
textstringOptional
typestring · enumOptionalPossible values:
updatedintegerOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}/activities
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/activities?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "author": {
      "created": 1,
      "display_name": "text",
      "email": "text",
      "id": 1,
      "type": "service",
      "uid": "text",
      "updated": 1
    },
    "code_comment": {
      "line_new": 1,
      "line_old": 1,
      "merge_base_sha": "text",
      "outdated": true,
      "path": "text",
      "source_sha": "text",
      "span_new": 1,
      "span_old": 1
    },
    "created": 1,
    "deleted": 1,
    "edited": 1,
    "id": 1,
    "kind": "change-comment",
    "mentions": {
      "ANY_ADDITIONAL_PROPERTY": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      }
    },
    "metadata": {
      "mentions": {
        "ids": [
          1
        ],
        "user_group_ids": [
          1
        ]
      },
      "reactions": {
        "counts": {
          "ANY_ADDITIONAL_PROPERTY": [
            1
          ]
        }
      },
      "suggestions": {
        "applied_check_sum": "text",
        "applied_commit_sha": "text",
        "check_sums": [
          "text"
        ]
      }
    },
    "order": 1,
    "parent_id": 1,
    "payload": null,
    "pullreq_id": 1,
    "reactions": [
      {
        "author": {
          "created": 1,
          "display_name": "text",
          "email": "text",
          "id": 1,
          "type": "service",
          "uid": "text",
          "updated": 1
        },
        "emoji": "text"
      }
    ],
    "repo_id": 1,
    "resolved": 1,
    "resolver": {
      "created": 1,
      "display_name": "text",
      "email": "text",
      "id": 1,
      "type": "service",
      "uid": "text",
      "updated": 1
    },
    "sub_order": 1,
    "text": "text",
    "type": "auto-merge-disabled-branch-update",
    "updated": 1,
    "user_group_mentions": {
      "ANY_ADDITIONAL_PROPERTY": {
        "description": "text",
        "id": 1,
        "identifier": "text",
        "name": "text",
        "scope": 1
      }
    }
  }
]

Get the auto-merge option for the pull request.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
createdintegerOptional
delete_branchbooleanOptional
merge_methodstring · enumOptionalPossible values:
messagestringOptional
pull_request_statestring · enumOptionalPossible values:
pull_request_sub_statestring · enumOptionalPossible values:
titlestringOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}/automerge
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/automerge?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "created": 1,
  "delete_branch": true,
  "merge_method": "fast-forward",
  "merge_response": {
    "allowed_methods": [
      "fast-forward"
    ],
    "branch_deleted": true,
    "conflict_files": [
      "text"
    ],
    "default_reviewer_approvals": [
      {
        "current_count": 1,
        "evaluations": [
          {
            "decision": "approved",
            "reviewer": {
              "created": 1,
              "display_name": "text",
              "email": "text",
              "id": 1,
              "type": "service",
              "uid": "text",
              "updated": 1
            },
            "sha": "text",
            "updated": 1
          }
        ],
        "minimum_required_count": 1,
        "minimum_required_count_latest": 1,
        "principals": [
          {
            "created": 1,
            "display_name": "text",
            "email": "text",
            "id": 1,
            "type": "service",
            "uid": "text",
            "updated": 1
          }
        ],
        "user_groups": [
          {
            "description": "text",
            "id": 1,
            "identifier": "text",
            "name": "text",
            "scope": 1
          }
        ]
      }
    ],
    "dry_run": true,
    "dry_run_rules": true,
    "mergeable": true,
    "minimum_required_approvals_count": 1,
    "minimum_required_approvals_count_latest": 1,
    "requires_bypass_message": true,
    "requires_code_owners_approval": true,
    "requires_code_owners_approval_latest": true,
    "requires_comment_resolution": true,
    "requires_merge_queue": true,
    "requires_no_change_requests": true,
    "requires_target_is_ancestor": true,
    "rule_violations": [
      {
        "bypassable": true,
        "bypassed": true,
        "rule": {
          "identifier": "text",
          "repo_path": "text",
          "space_path": "text",
          "state": "active",
          "type": "branch"
        },
        "violations": [
          {
            "code": "text",
            "message": "text",
            "params": []
          }
        ]
      }
    ],
    "sha": "text"
  },
  "message": "text",
  "pull_request_state": "closed",
  "pull_request_sub_state": "",
  "requested_by": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "title": "text"
}

Enable the auto-merge option for the pull request.

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
delete_source_branchbooleanOptional
messagestringOptional
methodstring · enumOptionalPossible values:
titlestringOptional
Responses
200

OK

application/json
createdintegerOptional
delete_branchbooleanOptional
merge_methodstring · enumOptionalPossible values:
messagestringOptional
pull_request_statestring · enumOptionalPossible values:
pull_request_sub_statestring · enumOptionalPossible values:
titlestringOptional
put/repos/{repo_identifier}/pullreq/{pullreq_number}/automerge
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/automerge?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 85

{
  "delete_source_branch": true,
  "message": "text",
  "method": "fast-forward",
  "title": "text"
}
{
  "created": 1,
  "delete_branch": true,
  "merge_method": "fast-forward",
  "merge_response": {
    "allowed_methods": [
      "fast-forward"
    ],
    "branch_deleted": true,
    "conflict_files": [
      "text"
    ],
    "default_reviewer_approvals": [
      {
        "current_count": 1,
        "evaluations": [
          {
            "decision": "approved",
            "reviewer": {
              "created": 1,
              "display_name": "text",
              "email": "text",
              "id": 1,
              "type": "service",
              "uid": "text",
              "updated": 1
            },
            "sha": "text",
            "updated": 1
          }
        ],
        "minimum_required_count": 1,
        "minimum_required_count_latest": 1,
        "principals": [
          {
            "created": 1,
            "display_name": "text",
            "email": "text",
            "id": 1,
            "type": "service",
            "uid": "text",
            "updated": 1
          }
        ],
        "user_groups": [
          {
            "description": "text",
            "id": 1,
            "identifier": "text",
            "name": "text",
            "scope": 1
          }
        ]
      }
    ],
    "dry_run": true,
    "dry_run_rules": true,
    "mergeable": true,
    "minimum_required_approvals_count": 1,
    "minimum_required_approvals_count_latest": 1,
    "requires_bypass_message": true,
    "requires_code_owners_approval": true,
    "requires_code_owners_approval_latest": true,
    "requires_comment_resolution": true,
    "requires_merge_queue": true,
    "requires_no_change_requests": true,
    "requires_target_is_ancestor": true,
    "rule_violations": [
      {
        "bypassable": true,
        "bypassed": true,
        "rule": {
          "identifier": "text",
          "repo_path": "text",
          "space_path": "text",
          "state": "active",
          "type": "branch"
        },
        "violations": [
          {
            "code": "text",
            "message": "text",
            "params": []
          }
        ]
      }
    ],
    "sha": "text"
  },
  "message": "text",
  "pull_request_state": "closed",
  "pull_request_sub_state": "",
  "requested_by": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "title": "text"
}

Disable the auto-merge option for the pull request.

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
204

No Content

No content

delete/repos/{repo_identifier}/pullreq/{pullreq_number}/automerge
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/automerge?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

Restore source branch

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
bypass_rulesbooleanOptional
dry_run_rulesbooleanOptional
Responses
201

Created

application/json
dry_run_rulesbooleanOptional
namestringOptional
shastringOptional

Git object hash

post/repos/{repo_identifier}/pullreq/{pullreq_number}/branch
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/branch?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 42

{
  "bypass_rules": true,
  "dry_run_rules": true
}
{
  "commit": {
    "author": {
      "identity": {
        "email": "text",
        "name": "text"
      },
      "when": "2026-01-01T00:00:00.000Z"
    },
    "committer": {
      "identity": {
        "email": "text",
        "name": "text"
      },
      "when": "2026-01-01T00:00:00.000Z"
    },
    "message": "text",
    "parent_shas": [
      "text"
    ],
    "sha": "text",
    "signature": {
      "created": 1,
      "key_fingerprint": "text",
      "key_id": "text",
      "key_scheme": "pgp",
      "result": "bad",
      "updated": 1
    },
    "stats": {
      "files": [
        {
          "changes": 1,
          "deletions": 1,
          "insertions": 1,
          "old_path": "text",
          "path": "text",
          "status": "text"
        }
      ],
      "total": {
        "changes": 1,
        "deletions": 1,
        "insertions": 1
      }
    },
    "title": "text"
  },
  "dry_run_rules": true,
  "name": "text",
  "rule_violations": [
    {
      "bypassable": true,
      "bypassed": true,
      "rule": {
        "identifier": "text",
        "repo_path": "text",
        "space_path": "text",
        "state": "active",
        "type": "branch"
      },
      "violations": [
        {
          "code": "text",
          "message": "text",
          "params": []
        }
      ]
    }
  ],
  "sha": "text"
}

Get status checks

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
commit_shastringOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}/checks
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/checks?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "checks": [
    {
      "bypassable": true,
      "check": {
        "bypassed_by": {
          "created": 1,
          "display_name": "text",
          "email": "text",
          "id": 1,
          "type": "service",
          "uid": "text",
          "updated": 1
        },
        "created": 1,
        "ended": 1,
        "id": 1,
        "identifier": "text",
        "link": "text",
        "metadata": null,
        "payload": {
          "data": null,
          "kind": "",
          "version": "text"
        },
        "reported_by": {
          "created": 1,
          "display_name": "text",
          "email": "text",
          "id": 1,
          "type": "service",
          "uid": "text",
          "updated": 1
        },
        "started": 1,
        "status": "error",
        "summary": "text",
        "updated": 1
      },
      "required": true
    }
  ],
  "commit_sha": "text"
}

Get code owners

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
file_shastringOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}/codeowners
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/codeowners?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "evaluation_entries": [
    {
      "line_number": 1,
      "owner_evaluations": [
        {
          "owner": {
            "created": 1,
            "display_name": "text",
            "email": "text",
            "id": 1,
            "type": "service",
            "uid": "text",
            "updated": 1
          },
          "review_decision": "approved",
          "review_sha": "text"
        }
      ],
      "pattern": "text",
      "user_group_owner_evaluations": [
        {
          "evaluations": [
            {
              "owner": {
                "created": 1,
                "display_name": "text",
                "email": "text",
                "id": 1,
                "type": "service",
                "uid": "text",
                "updated": 1
              },
              "review_decision": "approved",
              "review_sha": "text"
            }
          ],
          "id": "text",
          "name": "text"
        }
      ]
    }
  ],
  "file_sha": "text"
}

Create new pull request comment

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
line_endintegerOptional
line_end_newbooleanOptional
line_startintegerOptional
line_start_newbooleanOptional
parent_idintegerOptional
pathstringOptional
source_commit_shastringOptional
target_commit_shastringOptional
textstringOptional
Responses
201

Created

application/json
createdintegerOptional
deletedinteger · nullableOptional
editedintegerOptional
idintegerOptional
kindstring · enumOptionalPossible values:
orderintegerOptional
parent_idinteger · nullableOptional
payloadanyOptional
pullreq_idintegerOptional
repo_idintegerOptional
resolvedinteger · nullableOptional
sub_orderintegerOptional
textstringOptional
typestring · enumOptionalPossible values:
updatedintegerOptional
post/repos/{repo_identifier}/pullreq/{pullreq_number}/comments
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 167

{
  "line_end": 1,
  "line_end_new": true,
  "line_start": 1,
  "line_start_new": true,
  "parent_id": 1,
  "path": "text",
  "source_commit_sha": "text",
  "target_commit_sha": "text",
  "text": "text"
}
{
  "author": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "code_comment": {
    "line_new": 1,
    "line_old": 1,
    "merge_base_sha": "text",
    "outdated": true,
    "path": "text",
    "source_sha": "text",
    "span_new": 1,
    "span_old": 1
  },
  "created": 1,
  "deleted": 1,
  "edited": 1,
  "id": 1,
  "kind": "change-comment",
  "mentions": {
    "ANY_ADDITIONAL_PROPERTY": {
      "created": 1,
      "display_name": "text",
      "email": "text",
      "id": 1,
      "type": "service",
      "uid": "text",
      "updated": 1
    }
  },
  "metadata": {
    "mentions": {
      "ids": [
        1
      ],
      "user_group_ids": [
        1
      ]
    },
    "reactions": {
      "counts": {
        "ANY_ADDITIONAL_PROPERTY": [
          1
        ]
      }
    },
    "suggestions": {
      "applied_check_sum": "text",
      "applied_commit_sha": "text",
      "check_sums": [
        "text"
      ]
    }
  },
  "order": 1,
  "parent_id": 1,
  "payload": null,
  "pullreq_id": 1,
  "reactions": [
    {
      "author": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      },
      "emoji": "text"
    }
  ],
  "repo_id": 1,
  "resolved": 1,
  "resolver": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "sub_order": 1,
  "text": "text",
  "type": "auto-merge-disabled-branch-update",
  "updated": 1,
  "user_group_mentions": {
    "ANY_ADDITIONAL_PROPERTY": {
      "description": "text",
      "id": 1,
      "identifier": "text",
      "name": "text",
      "scope": 1
    }
  }
}

Delete pull request comment

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
pullreq_comment_idintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
204

No Content

No content

delete/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

Update pull request comment

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
pullreq_comment_idintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
textstringOptional
Responses
200

OK

application/json
createdintegerOptional
deletedinteger · nullableOptional
editedintegerOptional
idintegerOptional
kindstring · enumOptionalPossible values:
orderintegerOptional
parent_idinteger · nullableOptional
payloadanyOptional
pullreq_idintegerOptional
repo_idintegerOptional
resolvedinteger · nullableOptional
sub_orderintegerOptional
textstringOptional
typestring · enumOptionalPossible values:
updatedintegerOptional
patch/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}
PATCH /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "text": "text"
}
{
  "author": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "code_comment": {
    "line_new": 1,
    "line_old": 1,
    "merge_base_sha": "text",
    "outdated": true,
    "path": "text",
    "source_sha": "text",
    "span_new": 1,
    "span_old": 1
  },
  "created": 1,
  "deleted": 1,
  "edited": 1,
  "id": 1,
  "kind": "change-comment",
  "mentions": {
    "ANY_ADDITIONAL_PROPERTY": {
      "created": 1,
      "display_name": "text",
      "email": "text",
      "id": 1,
      "type": "service",
      "uid": "text",
      "updated": 1
    }
  },
  "metadata": {
    "mentions": {
      "ids": [
        1
      ],
      "user_group_ids": [
        1
      ]
    },
    "reactions": {
      "counts": {
        "ANY_ADDITIONAL_PROPERTY": [
          1
        ]
      }
    },
    "suggestions": {
      "applied_check_sum": "text",
      "applied_commit_sha": "text",
      "check_sums": [
        "text"
      ]
    }
  },
  "order": 1,
  "parent_id": 1,
  "payload": null,
  "pullreq_id": 1,
  "reactions": [
    {
      "author": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      },
      "emoji": "text"
    }
  ],
  "repo_id": 1,
  "resolved": 1,
  "resolver": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "sub_order": 1,
  "text": "text",
  "type": "auto-merge-disabled-branch-update",
  "updated": 1,
  "user_group_mentions": {
    "ANY_ADDITIONAL_PROPERTY": {
      "description": "text",
      "id": 1,
      "identifier": "text",
      "name": "text",
      "scope": 1
    }
  }
}

Add emoji reaction to pull request comment

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
pullreq_comment_idintegerRequired
pullreq_reaction_emojistringRequired
Responses
201

Created

application/json
emojistringOptional
post/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}/reactions/{pullreq_reaction_emoji}
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}/reactions/{pullreq_reaction_emoji} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "author": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "emoji": "text"
}

Remove emoji reaction from pull request comment

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
pullreq_comment_idintegerRequired
pullreq_reaction_emojistringRequired
Responses
204

No Content

No content

delete/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}/reactions/{pullreq_reaction_emoji}
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}/reactions/{pullreq_reaction_emoji} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

Update status of pull request comment

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
pullreq_comment_idintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
statusstring · enumOptionalPossible values:
Responses
200

OK

application/json
createdintegerOptional
deletedinteger · nullableOptional
editedintegerOptional
idintegerOptional
kindstring · enumOptionalPossible values:
orderintegerOptional
parent_idinteger · nullableOptional
payloadanyOptional
pullreq_idintegerOptional
repo_idintegerOptional
resolvedinteger · nullableOptional
sub_orderintegerOptional
textstringOptional
typestring · enumOptionalPossible values:
updatedintegerOptional
put/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}/status
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}/status?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "active"
}
{
  "author": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "code_comment": {
    "line_new": 1,
    "line_old": 1,
    "merge_base_sha": "text",
    "outdated": true,
    "path": "text",
    "source_sha": "text",
    "span_new": 1,
    "span_old": 1
  },
  "created": 1,
  "deleted": 1,
  "edited": 1,
  "id": 1,
  "kind": "change-comment",
  "mentions": {
    "ANY_ADDITIONAL_PROPERTY": {
      "created": 1,
      "display_name": "text",
      "email": "text",
      "id": 1,
      "type": "service",
      "uid": "text",
      "updated": 1
    }
  },
  "metadata": {
    "mentions": {
      "ids": [
        1
      ],
      "user_group_ids": [
        1
      ]
    },
    "reactions": {
      "counts": {
        "ANY_ADDITIONAL_PROPERTY": [
          1
        ]
      }
    },
    "suggestions": {
      "applied_check_sum": "text",
      "applied_commit_sha": "text",
      "check_sums": [
        "text"
      ]
    }
  },
  "order": 1,
  "parent_id": 1,
  "payload": null,
  "pullreq_id": 1,
  "reactions": [
    {
      "author": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      },
      "emoji": "text"
    }
  ],
  "repo_id": 1,
  "resolved": 1,
  "resolver": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "sub_order": 1,
  "text": "text",
  "type": "auto-merge-disabled-branch-update",
  "updated": 1,
  "user_group_mentions": {
    "ANY_ADDITIONAL_PROPERTY": {
      "description": "text",
      "id": 1,
      "identifier": "text",
      "name": "text",
      "scope": 1
    }
  }
}

Apply pull request code comment suggestions

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
bypass_rulesbooleanOptional
dry_run_rulesbooleanOptional
messagestringOptional
titlestringOptional
Responses
200

OK

application/json
commit_idstringOptional
dry_run_rulesbooleanOptional
post/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/apply-suggestions
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/apply-suggestions?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 126

{
  "bypass_rules": true,
  "dry_run_rules": true,
  "message": "text",
  "suggestions": [
    {
      "check_sum": "text",
      "comment_id": 1
    }
  ],
  "title": "text"
}
{
  "commit_id": "text",
  "dry_run_rules": true,
  "rule_violations": [
    {
      "bypassable": true,
      "bypassed": true,
      "rule": {
        "identifier": "text",
        "repo_path": "text",
        "space_path": "text",
        "state": "active",
        "type": "branch"
      },
      "violations": [
        {
          "code": "text",
          "message": "text",
          "params": []
        }
      ]
    }
  ]
}

List commits

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

pageinteger · min: 1Optional

The page to return.

Default: 1
limitinteger · min: 1 · max: 100Optional

The maximum number of results to return.

Default: 30
Responses
200

OK

application/json
messagestringOptional
parent_shasstring[]Optional

Git object hash

shastringOptional

Git object hash

titlestringOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}/commits
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/commits?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "author": {
      "identity": {
        "email": "text",
        "name": "text"
      },
      "when": "2026-01-01T00:00:00.000Z"
    },
    "committer": {
      "identity": {
        "email": "text",
        "name": "text"
      },
      "when": "2026-01-01T00:00:00.000Z"
    },
    "message": "text",
    "parent_shas": [
      "text"
    ],
    "sha": "text",
    "signature": {
      "created": 1,
      "key_fingerprint": "text",
      "key_id": "text",
      "key_scheme": "pgp",
      "result": "bad",
      "updated": 1
    },
    "stats": {
      "files": [
        {
          "changes": 1,
          "deletions": 1,
          "insertions": 1,
          "old_path": "text",
          "path": "text",
          "status": "text"
        }
      ],
      "total": {
        "changes": 1,
        "deletions": 1,
        "insertions": 1
      }
    },
    "title": "text"
  }
]

Get file changes

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

pathstring[]Optional

provide path for diff operation

Responses
200

OK

additionsintegerOptional
changesintegerOptional
deletionsintegerOptional
is_binarybooleanOptional
is_submodulebooleanOptional
old_pathstringOptional
old_shastringOptional
patchinteger[]Optional
pathstringOptional
shastringOptional
statusstringOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}/diff
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/diff?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "additions": 1,
    "changes": 1,
    "deletions": 1,
    "is_binary": true,
    "is_submodule": true,
    "old_path": "text",
    "old_sha": "text",
    "patch": [
      1
    ],
    "path": "text",
    "sha": "text",
    "status": "text"
  }
]

Get file changes

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Bodyobject · ApiFileDiffRequest[]
pathstringOptional
start_lineintegerOptional
Responses
200

OK

additionsintegerOptional
changesintegerOptional
deletionsintegerOptional
is_binarybooleanOptional
is_submodulebooleanOptional
old_pathstringOptional
old_shastringOptional
patchinteger[]Optional
pathstringOptional
shastringOptional
statusstringOptional
post/repos/{repo_identifier}/pullreq/{pullreq_number}/diff
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/diff?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 32

[
  {
    "path": "text",
    "start_line": 1
  }
]
[
  {
    "additions": 1,
    "changes": 1,
    "deletions": 1,
    "is_binary": true,
    "is_submodule": true,
    "old_path": "text",
    "old_sha": "text",
    "patch": [
      1
    ],
    "path": "text",
    "sha": "text",
    "status": "text"
  }
]

List viewed files

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
obsoletebooleanOptional
pathstringOptional
shastringOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}/file-views
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/file-views?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "obsolete": true,
    "path": "text",
    "sha": "text"
  }
]

Mark file as viewed

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
commit_shastringOptional
pathstringOptional
Responses
200

OK

application/json
obsoletebooleanOptional
pathstringOptional
shastringOptional
put/repos/{repo_identifier}/pullreq/{pullreq_number}/file-views
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/file-views?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "commit_sha": "text",
  "path": "text"
}
{
  "obsolete": true,
  "path": "text",
  "sha": "text"
}

Remove file view

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
file_pathstringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
204

No Content

No content

delete/repos/{repo_identifier}/pullreq/{pullreq_number}/file-views/{file_path}
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/file-views/{file_path}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

Merge

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
bypass_messagestringOptional
bypass_rulesbooleanOptional
delete_source_branchbooleanOptional
dry_runbooleanOptional
dry_run_rulesbooleanOptional
messagestringOptional
methodstring · enumOptionalPossible values:
source_shastringOptional
titlestringOptional
Responses
200

OK

application/json
branch_deletedbooleanOptional
conflict_filesstring[]Optional
dry_runbooleanOptional
dry_run_rulesbooleanOptional
mergeablebooleanOptional
minimum_required_approvals_countintegerOptional
minimum_required_approvals_count_latestintegerOptional
requires_bypass_messagebooleanOptional
requires_code_owners_approvalbooleanOptional
requires_code_owners_approval_latestbooleanOptional
requires_comment_resolutionbooleanOptional
requires_merge_queuebooleanOptional
requires_no_change_requestsbooleanOptional
requires_target_is_ancestorbooleanOptional
shastringOptional
post/repos/{repo_identifier}/pullreq/{pullreq_number}/merge
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/merge?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 185

{
  "bypass_message": "text",
  "bypass_rules": true,
  "delete_source_branch": true,
  "dry_run": true,
  "dry_run_rules": true,
  "message": "text",
  "method": "fast-forward",
  "source_sha": "text",
  "title": "text"
}
{
  "allowed_methods": [
    "fast-forward"
  ],
  "branch_deleted": true,
  "conflict_files": [
    "text"
  ],
  "default_reviewer_approvals": [
    {
      "current_count": 1,
      "evaluations": [
        {
          "decision": "approved",
          "reviewer": {
            "created": 1,
            "display_name": "text",
            "email": "text",
            "id": 1,
            "type": "service",
            "uid": "text",
            "updated": 1
          },
          "sha": "text",
          "updated": 1
        }
      ],
      "minimum_required_count": 1,
      "minimum_required_count_latest": 1,
      "principals": [
        {
          "created": 1,
          "display_name": "text",
          "email": "text",
          "id": 1,
          "type": "service",
          "uid": "text",
          "updated": 1
        }
      ],
      "user_groups": [
        {
          "description": "text",
          "id": 1,
          "identifier": "text",
          "name": "text",
          "scope": 1
        }
      ]
    }
  ],
  "dry_run": true,
  "dry_run_rules": true,
  "mergeable": true,
  "minimum_required_approvals_count": 1,
  "minimum_required_approvals_count_latest": 1,
  "requires_bypass_message": true,
  "requires_code_owners_approval": true,
  "requires_code_owners_approval_latest": true,
  "requires_comment_resolution": true,
  "requires_merge_queue": true,
  "requires_no_change_requests": true,
  "requires_target_is_ancestor": true,
  "rule_violations": [
    {
      "bypassable": true,
      "bypassed": true,
      "rule": {
        "identifier": "text",
        "repo_path": "text",
        "space_path": "text",
        "state": "active",
        "type": "branch"
      },
      "violations": [
        {
          "code": "text",
          "message": "text",
          "params": []
        }
      ]
    }
  ],
  "sha": "text"
}

Get the pull request's merge-queue details.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
checks_commit_shastringOptional

Git object hash

merge_commit_shastringOptional

Git object hash

merge_methodstring · enumOptionalPossible values:
pull_requests_aheadintegerOptional
statestring · enumOptionalPossible values:
get/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "checks": [
    {
      "bypassable": true,
      "check": {
        "bypassed_by": {
          "created": 1,
          "display_name": "text",
          "email": "text",
          "id": 1,
          "type": "service",
          "uid": "text",
          "updated": 1
        },
        "created": 1,
        "ended": 1,
        "id": 1,
        "identifier": "text",
        "link": "text",
        "metadata": null,
        "payload": {
          "data": null,
          "kind": "",
          "version": "text"
        },
        "reported_by": {
          "created": 1,
          "display_name": "text",
          "email": "text",
          "id": 1,
          "type": "service",
          "uid": "text",
          "updated": 1
        },
        "started": 1,
        "status": "error",
        "summary": "text",
        "updated": 1
      },
      "required": true
    }
  ],
  "checks_commit_sha": "text",
  "merge_commit_sha": "text",
  "merge_method": "fast-forward",
  "pull_requests_ahead": 1,
  "state": "checks_in_progress"
}

Place the pull request to the target branch's merge queue.

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
bypass_rulesbooleanOptional
delete_source_branchbooleanOptional
messagestringOptional
methodstring · enumOptionalPossible values:
titlestringOptional
Responses
200

OK

application/json
checks_commit_shastringOptional

Git object hash

merge_commit_shastringOptional

Git object hash

merge_methodstring · enumOptionalPossible values:
pull_requests_aheadintegerOptional
statestring · enumOptionalPossible values:
put/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 105

{
  "bypass_rules": true,
  "delete_source_branch": true,
  "message": "text",
  "method": "fast-forward",
  "title": "text"
}
{
  "checks": [
    {
      "bypassable": true,
      "check": {
        "bypassed_by": {
          "created": 1,
          "display_name": "text",
          "email": "text",
          "id": 1,
          "type": "service",
          "uid": "text",
          "updated": 1
        },
        "created": 1,
        "ended": 1,
        "id": 1,
        "identifier": "text",
        "link": "text",
        "metadata": null,
        "payload": {
          "data": null,
          "kind": "",
          "version": "text"
        },
        "reported_by": {
          "created": 1,
          "display_name": "text",
          "email": "text",
          "id": 1,
          "type": "service",
          "uid": "text",
          "updated": 1
        },
        "started": 1,
        "status": "error",
        "summary": "text",
        "updated": 1
      },
      "required": true
    }
  ],
  "checks_commit_sha": "text",
  "merge_commit_sha": "text",
  "merge_method": "fast-forward",
  "pull_requests_ahead": 1,
  "state": "checks_in_progress"
}

Remove the pull request from the merge queue.

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
204

No Content

No content

delete/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

Reorder the merge queue so that this PR is at the head of the queue.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
204

No Content

No content

post/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue/prioritize
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue/prioritize?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

Get metadata

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
additionsinteger · nullableOptional
commitsinteger · nullableOptional
conversationsintegerOptional
deletionsinteger · nullableOptional
files_changedinteger · nullableOptional
unresolved_countintegerOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}/metadata
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/metadata?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "additions": 1,
  "commits": 1,
  "conversations": 1,
  "deletions": 1,
  "files_changed": 1,
  "unresolved_count": 1
}

Revert of a merged pull request

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
messagestringOptional
revert_branchstringOptional
titlestringOptional
Responses
200

OK

application/json
branchstringOptional
post/repos/{repo_identifier}/pullreq/{pullreq_number}/revert
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/revert?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 56

{
  "message": "text",
  "revert_branch": "text",
  "title": "text"
}
{
  "branch": "text",
  "commit": {
    "author": {
      "identity": {
        "email": "text",
        "name": "text"
      },
      "when": "2026-01-01T00:00:00.000Z"
    },
    "committer": {
      "identity": {
        "email": "text",
        "name": "text"
      },
      "when": "2026-01-01T00:00:00.000Z"
    },
    "message": "text",
    "parent_shas": [
      "text"
    ],
    "sha": "text",
    "signature": {
      "created": 1,
      "key_fingerprint": "text",
      "key_id": "text",
      "key_scheme": "pgp",
      "result": "bad",
      "updated": 1
    },
    "stats": {
      "files": [
        {
          "changes": 1,
          "deletions": 1,
          "insertions": 1,
          "old_path": "text",
          "path": "text",
          "status": "text"
        }
      ],
      "total": {
        "changes": 1,
        "deletions": 1,
        "insertions": 1
      }
    },
    "title": "text"
  }
}

List reviewers

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
createdintegerOptional
latest_review_idinteger · nullableOptional
review_decisionstring · enumOptionalPossible values:
shastringOptional
typestring · enumOptionalPossible values:
updatedintegerOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "added_by": {
      "created": 1,
      "display_name": "text",
      "email": "text",
      "id": 1,
      "type": "service",
      "uid": "text",
      "updated": 1
    },
    "created": 1,
    "latest_review_id": 1,
    "review_decision": "approved",
    "reviewer": {
      "created": 1,
      "display_name": "text",
      "email": "text",
      "id": 1,
      "type": "service",
      "uid": "text",
      "updated": 1
    },
    "sha": "text",
    "type": "assigned",
    "updated": 1
  }
]

Add reviewer

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
reviewer_idintegerOptional
Responses
200

OK

application/json
createdintegerOptional
latest_review_idinteger · nullableOptional
review_decisionstring · enumOptionalPossible values:
shastringOptional
typestring · enumOptionalPossible values:
updatedintegerOptional
put/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "reviewer_id": 1
}
{
  "added_by": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "created": 1,
  "latest_review_id": 1,
  "review_decision": "approved",
  "reviewer": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "sha": "text",
  "type": "assigned",
  "updated": 1
}

Remove reviewer

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
pullreq_reviewer_idintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
204

No Content

No content

delete/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/{pullreq_reviewer_id}
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/{pullreq_reviewer_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
get/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/combined
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/combined?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "reviewers": [
    {
      "added_by": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      },
      "created": 1,
      "latest_review_id": 1,
      "review_decision": "approved",
      "reviewer": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      },
      "sha": "text",
      "type": "assigned",
      "updated": 1
    }
  ],
  "user_group_reviewers": [
    {
      "added_by": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      },
      "created": 1,
      "decision": "approved",
      "sha": "text",
      "updated": 1,
      "user_decisions": [
        {
          "decision": "approved",
          "reviewer": {
            "created": 1,
            "display_name": "text",
            "email": "text",
            "id": 1,
            "type": "service",
            "uid": "text",
            "updated": 1
          },
          "sha": "text",
          "updated": 1
        }
      ],
      "user_group": {
        "description": "text",
        "id": 1,
        "identifier": "text",
        "name": "text",
        "scope": 1
      }
    }
  ]
}
put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
usergroup_idintegerOptional
Responses
200

OK

application/json
createdintegerOptional
decisionstring · enumOptionalPossible values:
shastringOptional
updatedintegerOptional
put/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/usergroups
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/usergroups?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "usergroup_id": 1
}
{
  "added_by": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "created": 1,
  "decision": "approved",
  "sha": "text",
  "updated": 1,
  "user_decisions": [
    {
      "decision": "approved",
      "reviewer": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      },
      "sha": "text",
      "updated": 1
    }
  ],
  "user_group": {
    "description": "text",
    "id": 1,
    "identifier": "text",
    "name": "text",
    "scope": 1
  }
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
user_group_idintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
204

No Content

No content

delete/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/usergroups/{user_group_id}
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/usergroups/{user_group_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

Submit review

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
commit_shastringOptional
decisionstring · enumOptionalPossible values:
Responses
204

No Content

No content

post/repos/{repo_identifier}/pullreq/{pullreq_number}/reviews
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviews?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "commit_sha": "text",
  "decision": "approved"
}

No content

Update state of pull request

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
is_draftbooleanOptional
statestring · enumOptionalPossible values:
Responses
200

OK

application/json
closedinteger · nullableOptional
createdintegerOptional
descriptionstringOptional
editedintegerOptional
is_draftbooleanOptional
merge_base_shastringOptional
merge_check_statusstringOptional
merge_conflictsstring[]Optional
merge_methodstring · enumOptionalPossible values:
merge_target_shastring · nullableOptional
merge_violations_bypassedboolean · nullableOptional
mergedinteger · nullableOptional
numberintegerOptional
pullreq_typestring · nullableOptional
rebase_check_statusstringOptional
rebase_conflictsstring[]Optional
root_space_idintegerOptional
root_space_identifierstringOptional
source_branchstringOptional
source_repo_idinteger · nullableOptional
source_shastringOptional
statestring · enumOptionalPossible values:
substatestring · enumOptionalPossible values:
target_branchstringOptional
target_repo_idintegerOptional
titlestringOptional
updatedintegerOptional
post/repos/{repo_identifier}/pullreq/{pullreq_number}/state
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/state?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 34

{
  "is_draft": true,
  "state": "closed"
}
{
  "author": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "check_summary": {
    "error": 1,
    "failure": 1,
    "failure_ignored": 1,
    "pending": 1,
    "running": 1,
    "success": 1
  },
  "closed": 1,
  "created": 1,
  "description": "text",
  "edited": 1,
  "is_draft": true,
  "labels": [
    {
      "color": "blue",
      "id": 1,
      "key": "text",
      "scope": 1,
      "value": "text",
      "value_color": "blue",
      "value_count": 1,
      "value_id": 1
    }
  ],
  "merge_base_sha": "text",
  "merge_check_status": "text",
  "merge_conflicts": [
    "text"
  ],
  "merge_method": "fast-forward",
  "merge_target_sha": "text",
  "merge_violations_bypassed": true,
  "merged": 1,
  "merger": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "number": 1,
  "pullreq_type": "text",
  "rebase_check_status": "text",
  "rebase_conflicts": [
    "text"
  ],
  "root_space_id": 1,
  "root_space_identifier": "text",
  "rules": [
    {
      "identifier": "text",
      "repo_path": "text",
      "space_path": "text",
      "state": "active",
      "type": "branch"
    }
  ],
  "source_branch": "text",
  "source_repo": {
    "default_branch": "text",
    "fork_id": 1,
    "id": 1,
    "identifier": "text",
    "parent_id": 1,
    "path": "text",
    "type": "text"
  },
  "source_repo_id": 1,
  "source_sha": "text",
  "state": "closed",
  "stats": {
    "additions": 1,
    "commits": 1,
    "conversations": 1,
    "deletions": 1,
    "files_changed": 1,
    "unresolved_count": 1
  },
  "substate": "",
  "target_branch": "text",
  "target_repo_id": 1,
  "title": "text",
  "updated": 1
}

List suggested labels

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

pageinteger · min: 1Optional

The page to return.

Default: 1
limitinteger · min: 1 · max: 100Optional

The maximum number of results to return.

Default: 30
Responses
200

OK

application/json
suggestedintegerOptional
get/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "label": {
      "assigned": true,
      "color": "blue",
      "id": 1,
      "key": "text",
      "scope": 1,
      "type": "dynamic"
    },
    "suggested": 1,
    "suggested_by": {
      "created": 1,
      "display_name": "text",
      "email": "text",
      "id": 1,
      "type": "service",
      "uid": "text",
      "updated": 1
    },
    "value": {
      "color": "text",
      "id": 1,
      "value": "text"
    }
  }
]

Remove suggested label

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
label_idintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
204

No Content

No content

delete/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels/{label_id}
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels/{label_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

Apply suggested label

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
label_idintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
createdintegerOptional
created_byintegerOptional
label_idintegerOptional
pullreq_idintegerOptional
updatedintegerOptional
updated_byintegerOptional
value_idinteger · nullableOptional
post/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels/{label_id}/apply
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels/{label_id}/apply?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "created": 1,
  "created_by": 1,
  "label_id": 1,
  "pullreq_id": 1,
  "updated": 1,
  "updated_by": 1,
  "value_id": 1
}

Create label suggestions

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
Responses
200

OK

No content

post/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels/batch
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels/batch?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "labels": [
    {
      "label_id": 1,
      "value_id": 1
    }
  ]
}

No content

List suggested reviewers

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

pageinteger · min: 1Optional

The page to return.

Default: 1
limitinteger · min: 1 · max: 100Optional

The maximum number of results to return.

Default: 30
Responses
200

OK

application/json
get/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "suggestions": [
    {
      "reviewer": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      },
      "suggested_at": 1,
      "suggested_by": {
        "created": 1,
        "display_name": "text",
        "email": "text",
        "id": 1,
        "type": "service",
        "uid": "text",
        "updated": 1
      }
    }
  ]
}

Remove suggested reviewer

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
principal_idintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
204

No Content

No content

delete/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers/{principal_id}
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers/{principal_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*

No content

Apply suggested reviewer

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
principal_idintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
createdintegerOptional
latest_review_idinteger · nullableOptional
review_decisionstring · enumOptionalPossible values:
shastringOptional
typestring · enumOptionalPossible values:
updatedintegerOptional
post/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers/{principal_id}/apply
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers/{principal_id}/apply?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "added_by": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "created": 1,
  "latest_review_id": 1,
  "review_decision": "approved",
  "reviewer": {
    "created": 1,
    "display_name": "text",
    "email": "text",
    "id": 1,
    "type": "service",
    "uid": "text",
    "updated": 1
  },
  "sha": "text",
  "type": "assigned",
  "updated": 1
}

Create reviewer suggestions

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
reviewer_idsinteger[] · nullableOptional
Responses
200

OK

No content

post/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers/batch
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers/batch?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "reviewer_ids": [
    1
  ]
}

No content

Get pull request view

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

OK

application/json
get/repos/{repo_identifier}/pullreq/{pullreq_number}/view
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/view?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "groups": [
    {
      "created": 1,
      "description": "text",
      "files": [
        {
          "new_sha": "text",
          "old_sha": "text",
          "path": "text"
        }
      ],
      "tags": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "title": "text",
      "updated": 1
    }
  ]
}

Create or update pull request view

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
pullreq_numberintegerRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
merge_base_shastringOptional

Git object hash

source_shastringOptional

Git object hash

Responses
204

No Content

No content

put/repos/{repo_identifier}/pullreq/{pullreq_number}/view
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/view?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 153

{
  "groups": [
    {
      "description": "text",
      "files": [
        "text"
      ],
      "tags": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "title": "text"
    }
  ],
  "merge_base_sha": "text",
  "source_sha": "text"
}

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
x-api-keystringRequired
Path parameters
repo_identifierstringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

limitinteger · min: 1 · max: 100Optional

The maximum number of results to return.

Default: 30
Responses
200

OK

application/json
createdintegerOptional
created_byintegerOptional
last_created_pull_req_idinteger · nullableOptional
namestringOptional
updatedintegerOptional
updated_byintegerOptional
get/repos/{repo_identifier}/pullreq/candidates
GET /code/api/v1/repos/{repo_identifier}/pullreq/candidates?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
  "created": 1,
  "created_by": 1,
  "last_created_pull_req_id": 1,
  "name": "text",
  "updated": 1,
  "updated_by": 1
}

Last updated

Was this helpful?